Subject: [MORG] Multi-mailbox search

From: Timo Sirainen <[email-masked]>
Date: Tue, 22 Jul 2008 21:27:33 +0300

I thought I'd give an alternative idea for multi-mailbox search:

a) The current draft (which btw. should contain uidvalidity in esearch
replies):

1 uid search in (("*")) text "hello"
* esearch (tag "1" mailbox "inbox") uid all 1:3
* esearch (tag "1" mailbox "box2") uid all 5,10,15
2 select inbox
3 uid fetch 1:3 envelope
4 select box2
5 uid fetch 5,10,15 envelope

b) Creating a virtual mailbox from multiple mailboxes:

1 select (pattern ("*"))
2 search return (all) text "hello"
* esearch (tag "2") all 1:5,10,15,20
3 fetch 1:5,10,15,20 (envelope mailbox)

Some advantages of b):

 - Allows sorting search results (including by relevancy, which may not
be possible otherwise)
 - Slightly less bandwidth required
 - Less round trips. In a) case I think it's a bit questionable if
client is allowed to send 2-5 commands all at once pipelined. In b) case
by using SEARCHRES both 2 and 3 can be sent pipelined, so at minimum
there's one round trip less.

_______________________________________________
MORG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/morg
Note Well: http://www.ietf.org/maillist.html